apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"OSSM_2.6.11-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system-a","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"OSSM_2.6.11-1","maistra-version":"2.6.11","maistra.io/owner":"istio-system-a","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system-a","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"282b3ae7-3d1d-4f6f-90a7-d2fbeddee584"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system-a","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system-a.svc:3000","url":"https://grafana-istio-system-a.apps.ci-ln-6mgv70t-c1627.vmc-ci.devcluster.openshift.com"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system-a:15014/version"},"prometheus":{"auth":{"password":"ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system-a.svc:9090"},"tracing":{"auth":{"password":"ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":false,"in_cluster_url":"https://jaeger-query.istio-system-a.svc","namespace":"istio-system-a","service":"","url":"","use_grpc":false}},"installation_tag":"Kiali [istio-system-a]","istio_namespace":"istio-system-a","version":"v1.73"}}
    maistra.io/mesh-generation: OSSM_2.6.11-1
  creationTimestamp: "2025-12-09T16:53:52Z"
  finalizers:
  - kiali.io/finalizer
  generation: 1
  labels:
    app.kubernetes.io/component: kiali
    app.kubernetes.io/instance: istio-system-a
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: OSSM_2.6.11-1
    maistra-version: 2.6.11
    maistra.io/owner: istio-system-a
    maistra.io/owner-name: basic
  name: kiali
  namespace: istio-system-a
  ownerReferences:
  - apiVersion: maistra.io/v2
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic
    uid: 282b3ae7-3d1d-4f6f-90a7-d2fbeddee584
  resourceVersion: "59789"
  uid: 84a3f195-2039-4e3c-8dc6-54f2beaf4d40
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces: []
    cluster_wide_access: true
    image_digest: ""
    image_pull_policy: ""
    ingress:
      class_name: nginx
      enabled: true
    instance_name: kiali
    namespace: istio-system-a
    pod_labels:
      sidecar.istio.io/inject: "false"
    remote_cluster_resources_only: false
    replicas: 1
    secret_name: kiali
    view_only_mode: false
  external_services:
    custom_dashboards:
      discovery_auto_threshold: 10
      discovery_enabled: auto
      enabled: true
      is_core: false
      namespace_label: kubernetes_namespace
    grafana:
      auth:
        insecure_skip_verify: false
        password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://grafana.istio-system-a.svc:3000
      internal_url: http://grafana.istio-system:3000
      is_core: false
      url: https://grafana-istio-system-a.apps.ci-ln-6mgv70t-c1627.vmc-ci.devcluster.openshift.com
    istio:
      config_map_name: istio-basic
      envoy_admin_local_port: 15000
      istio_api_enabled: true
      istio_identity_domain: svc.cluster.local
      istio_injection_annotation: sidecar.istio.io/inject
      istio_sidecar_annotation: sidecar.istio.io/status
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      istiod_pod_monitoring_port: 15014
      istiod_polling_interval_seconds: 20
      url_service_version: http://istiod-basic.istio-system-a:15014/version
      validation_change_detection_enabled: true
      validation_reconcile_interval: 1m
    prometheus:
      auth:
        insecure_skip_verify: false
        password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
        type: basic
        use_kiali_token: false
        username: internal
      cache_duration: 7
      cache_enabled: true
      cache_expiration: 300
      is_core: true
      url: https://prometheus.istio-system-a.svc:9090
    tracing:
      auth:
        insecure_skip_verify: false
        password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
        type: basic
        use_kiali_token: false
        username: internal
      disable_version_check: false
      enabled: false
      grpc_port: 9095
      in_cluster_url: https://jaeger-query.istio-system-a.svc
      is_core: false
      namespace_selector: true
      provider: jaeger
      query_timeout: 5
      url: ""
      use_grpc: false
  installation_tag: Kiali [istio-system-a]
  istio_namespace: istio-system-a
  version: v1.73
status:
  conditions:
  - ansibleResult:
      changed: 14
      completion: "2025-12-09T16:54:13.76264+00:00"
      failures: 0
      ok: 89
      skipped: 56
    lastTransitionTime: "2025-12-09T16:53:52Z"
    message: Awaiting next reconciliation
    reason: Successful
    status: "True"
    type: Running
  - lastTransitionTime: "2025-12-09T16:54:13Z"
    message: Last reconciliation succeeded
    reason: Successful
    status: "True"
    type: Successful
  - lastTransitionTime: "2025-12-09T16:54:13Z"
    message: ""
    reason: ""
    status: "False"
    type: Failure
  deployment:
    accessibleNamespaces: istio-system-a
    instanceName: kiali
    namespace: istio-system-a
  environment:
    isMaistra: true
    isOpenshift: true
    kubernetesVersion: 1.32.10
    openshiftVersion: 4.19.0-0.nightly-2025-12-08-213754
    operatorVersion: v2.17.2
  progress:
    duration: "0:00:19"
    message: 7. Finished all resource creation
  specVersion: v1.73
